import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { ContactsListsWrapperComponent } from './contacts-lists-wrapper.component';
import { ContactsListsComponent } from './contacts-lists.component';
import { ContactsListComponent } from './contacts-list.component';
import { AddContactsListComponent } from './add-contacts-list.component';
import { EditContactsListComponent } from './edit-contacts-list.component';
import { ContactsWrapperComponent } from './contacts-wrapper.component';
import { ContactsComponent } from './contacts.component';
import { ContactComponent } from './contact.component';
import { AddContactComponent } from './add-contact.component';
import { EditContactComponent } from './edit-contact.component';
import { ContactsListFormComponent } from './contacts-list-form.component';
import { ContactFormComponent } from './contact-form.component';

@NgModule({
  declarations: [
    AppComponent,
    ContactsListsWrapperComponent,
    ContactsListsComponent,
    ContactsListComponent,
    AddContactsListComponent,
    EditContactsListComponent,
    ContactsWrapperComponent,
    ContactsComponent,
    ContactComponent,
    AddContactComponent,
    EditContactComponent,
    ContactsListFormComponent,
    ContactFormComponent
  ],
  imports: [BrowserModule, ReactiveFormsModule],
  bootstrap: [AppComponent]
})
export class AppModule {}
