import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ContactsWrapperComponent } from './contacts-wrapper.component';

const routes: Routes = [
  { path: ':listId/contacts', component: ContactsWrapperComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ContactsRoutingModule {}
