import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `
    <h1>App</h1>
    <app-header [title]="headerTitle"></app-header>
    <app-content [titles]="contentTitles"></app-content>
    <app-footer [title]="footerTitle"></app-footer>
  `
})
export class AppComponent {
  title = 'AppComponent';
  headerTitle = 'Header';
  footerTitle = 'Footer';
  contentTitles = {
    contentTitle: 'Content',
    part1Title: 'ContentPart1',
    part2Title: 'ContentPart2'
  };
}
