import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { ContentComponent } from './content.component';
import { ContentPart1Component } from './content-part1.component';
import { ContentPart2Component } from './content-part2.component';
import { HeaderComponent } from './header.component';
import { FooterComponent } from './footer.component';

@NgModule({
  declarations: [
    AppComponent,
    ContentComponent,
    ContentPart1Component,
    ContentPart2Component,
    HeaderComponent,
    FooterComponent
  ],
  imports: [BrowserModule],
  bootstrap: [AppComponent]
})
export class AppModule {}
