import { Component, ViewChild } from '@angular/core';

import { CounterComponent } from './counter.component';

@Component({
  selector: 'app-root',
  template: `
    <app-counter></app-counter>
    <div>Counter: {{counterComponent.counter}}</div>
    <button type="button" (click)="increment()">
      Increment
    </button>
  `
})
export class AppComponent {
  @ViewChild(CounterComponent)
  counterComponent: CounterComponent;

  increment() {
    this.counterComponent.increment();
  }
}
