import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
  myForm: FormGroup;

  ngOnInit() {
    this.myForm = new FormGroup({
      firstname: new FormControl(''),
      lastname: new FormControl('')
    });

    this.myForm.get('firstname').valueChanges.subscribe(data => {
      this.myForm.get('lastname').setValue(data);
    });
  }

  onSubmit() {
    console.log(this.myForm.value);
  }
}
