import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-product',
  template: `
    <h2>Produkt</h2>
    <p>Name: {{product.name}}</p>
  `
})
export class ProductComponent implements OnInit {
  product: { name: string };

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe(d => {
      this.product = d.product;
    });
  }
}
