import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';

import { DataService } from './data.service';

@Injectable()
export class ResolveGuard implements Resolve<{ name: string }> {
  constructor(private dataService: DataService) {}

  resolve(route: ActivatedRouteSnapshot) {
    return this.dataService.getData(Number(route.paramMap.get('id')));
  }
}
