import { Component, Input } from '@angular/core';

import { ContactsList } from './contacts-lists.service';

@Component({
  selector: 'app-contacts-lists',
  template: `
    <h2>ContactsListsComponent</h2>
    <app-contacts-list></app-contacts-list>
  `,
  styles: ['app-contacts-list { margin-left: 30px; display: block }']
})
export class ContactsListsComponent {
  @Input()
  contactsLists: Array<ContactsList> = [];
}
