import { Component, Input } from '@angular/core';

import { Contact } from './contacts.service';

@Component({
  selector: 'app-contacts',
  template: `
    <h2>ContactsComponent</h2>
    <app-contact></app-contact>
  `,
  styles: ['app-contact { margin-left: 30px; display: block }']
})
export class ContactsComponent {
  @Input()
  contacts: Array<Contact> = [];
}
