import { Component, Input } from '@angular/core';

import { Contact } from './contacts.service';

@Component({
  selector: 'app-contact',
  template: `<div class="contact">
    <div>{{contact.name}}</div>
    <div>{{contact.email}}</div>
    <div>{{contact.tel}}</div>
  </div>`,
  styleUrls: ['./contact.component.css']
})
export class ContactComponent {
  @Input()
  contact: Contact;
}
