import { Injectable } from '@angular/core';

export interface ContactsList {
  id?: string;
  name: string;
}

@Injectable({
  providedIn: 'root'
})
export class ContactsListsService {
  private contactsLists: Array<ContactsList> = [];

  constructor() {
    this.contactsLists = [
      { name: 'Privat', id: '1' },
      { name: 'Beruflich', id: '2' }
    ];
  }

  getContactsLists() {
    return this.contactsLists;
  }
}
