import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { ContactsRoutingModule } from './contacts-routing.module';

import { ContactsWrapperComponent } from './contacts-wrapper.component';
import { ContactsComponent } from './contacts.component';
import { ContactComponent } from './contact.component';
import { AddContactComponent } from './add-contact.component';
import { EditContactComponent } from './edit-contact.component';
import { ContactFormComponent } from './contact-form.component';

@NgModule({
  declarations: [
    ContactsWrapperComponent,
    ContactsComponent,
    ContactComponent,
    AddContactComponent,
    EditContactComponent,
    ContactFormComponent
  ],
  imports: [CommonModule, ReactiveFormsModule, ContactsRoutingModule],
  exports: [ContactsWrapperComponent]
})
export class ContactsModule {}
