import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ContactsWrapperComponent } from './contacts-wrapper.component';

import { AuthGuard } from '../auth.guard';

const routes: Routes = [
  {
    path: ':listId/contacts',
    canActivate: [AuthGuard],
    component: ContactsWrapperComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ContactsRoutingModule {}
