import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { ContactsListsRoutingModule } from './contacts-lists-routing.module';

import { ContactsListsWrapperComponent } from './contacts-lists-wrapper.component';
import { ContactsListsComponent } from './contacts-lists.component';
import { ContactsListComponent } from './contacts-list.component';
import { AddContactsListComponent } from './add-contacts-list.component';
import { EditContactsListComponent } from './edit-contacts-list.component';
import { ContactsListFormComponent } from './contacts-list-form.component';

@NgModule({
  declarations: [
    ContactsListsWrapperComponent,
    ContactsListsComponent,
    ContactsListComponent,
    AddContactsListComponent,
    EditContactsListComponent,
    ContactsListFormComponent
  ],
  imports: [CommonModule, ReactiveFormsModule, ContactsListsRoutingModule],
  exports: [ContactsListsWrapperComponent]
})
export class ContactsListsModule {}
