import { ContactComponent } from './contact.component';

describe('ContactComponent', () => {
  it('should emit edit with the id when onEdit is called', () => {
    const contactComponent = new ContactComponent();
    const id = '123';

    const editSpy = spyOn(contactComponent.edit, 'emit');

    contactComponent.onEdit(id);

    expect(editSpy).toHaveBeenCalledWith(id);
  });

  it('should emit delete with the id when onDelete is called', () => {
    const contactComponent = new ContactComponent();
    const id = '123';

    const deleteSpy = spyOn(contactComponent.delete, 'emit');

    contactComponent.onDelete(id);

    expect(deleteSpy).toHaveBeenCalledWith(id);
  });
});
