import { browser } from 'protractor';

import { AppPage } from './app.po';

describe('workspace-project App', () => {
  let page: AppPage;

  beforeEach(() => {
    page = new AppPage();
  });

  it('should display welcome message', () => {
    page.navigateTo();
    expect(page.getParagraphText()).toEqual('Meine Kontakte');
  });

  it('should show the login page', () => {
    page.navigateTo();
    expect(browser.getCurrentUrl()).toBe('http://localhost:4200/login');
  });

  it('should login the user and redirect to main page', () => {
    page.execLogin();

    expect(browser.getCurrentUrl()).toBe('http://localhost:4200/');
  });
});
