import { Component, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-child',
  template: `
    <h2>Child</h2>
    <button (click)="passData()">Pass data</button>
  `
})
export class ChildComponent {
  @Output()
  newData = new EventEmitter();

  passData() {
    this.newData.emit('Datenstring');
  }
}
