import { Component, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';

import { DynamicFormService } from './dynamic-form.service';

@Component({
  selector: 'app-dynamic-form',
  templateUrl: './dynamic-form.component.html'
})
export class DynamicFormComponent implements OnInit {
  myForm: FormGroup;
  fields = [];

  constructor(private dynamicFormService: DynamicFormService) {}

  ngOnInit() {
    this.myForm = this.dynamicFormService.getForm();
    this.fields = this.dynamicFormService.fields;
  }

  onSubmit() {
    console.log(this.myForm.value);
  }
}
