import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { HomeComponent } from './home.component';
import { Component1Component } from './component1.component';
import { Component11Component } from './component11.component';
import { Component12Component } from './component12.component';
import { Component2Component } from './component2.component';
import { Component21Component } from './component21.component';
import { Component22Component } from './component22.component';
import { Component221Component } from './component221.component';

const routes: Routes = [
  {
    path: '',
    component: HomeComponent
  },
  {
    path: 'pfad1',
    component: Component1Component,
    children: [
      { path: 'pfad11', component: Component11Component },
      { path: 'pfad12', component: Component12Component }
    ]
  },
  {
    path: 'pfad2',
    component: Component2Component,
    children: [
      { path: 'pfad21', component: Component21Component },
      {
        path: 'pfad22',
        component: Component22Component,
        children: [{ path: 'pfad221', component: Component221Component }]
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {}
